<?php
/*
 * Our html helper file.
 *
 * PHP version 5
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the Affero General Public License as published by Affero Inc.,
 * either version 1 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful to the Free
 * Software community, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Affero
 * General Public License for more details.
 * 
 * You should have received a copy of the Affero General Public License with this
 * software in the ./AfferoGPL file; if not, write to Affero Inc., 510 Third Street,
 * Suite 225, San Francisco, CA 94107, USA
 *
 * @category   Html Helper Class
 * @author     Klaus Weiss <klaus.weiss@nanet.at>
 * @copyright  2007 GNU Herds Free Software Association
 * @license    http://www.affero.org/oagpl.html Affero GPL
 * @version    CVS: $Id:$
 * @since      File available since version 1.5
 */

if(!defined('VISIBLE')) exit();

class Html
{
  public function __construct()
  {
  }

  public static function link($title, $url = null)
  {
    if(is_array($url))
      {
	$cntr = $url['controller'];
	$action = $url['action'];
	$params = $url['params'];
      }
    else
      {
	if(SITE_MOD_REWRITE)
	  {
	    list(, $cntr, $action) = split(SITE_URL_SEPARATOR, $url);
	  }
      }

    if(SITE_MOD_REWRITE)
      {
	return '<a href="'.$cntr.'/'.$action.'/'.$params.'">'.$title.'</a>';
      }
    else
      {
	return '<a href="'.SITE_URL.'index.php'.$url.'">'.$title.'</a>';
      }
  }
}


?>